## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate onenote_parser

Name:           rust-onenote_parser
Version:        0.3.1
Release:        %autorelease
Summary:        Parser for Microsoft OneNote files

License:        MPL-2.0
URL:            https://crates.io/crates/onenote_parser
Source:         %{crates_source}
# Upstream bump of dependencies - merged but not yet released
# Modified to remove Cargo.toml changes since it gets reformatted
# and drop one change not yet present in Fedora
# https://github.com/msiemens/onenote.rs/pull/9
Patch:          rust-onenote_parser-updates.patch
# Adjust versions of dependencies
Patch:          rust-onenote_parser-deps.patch
# Apply Cisco-Talos patch as this is really only needed for clamav
Patch:          https://github.com/msiemens/onenote.rs/pull/13.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A parser for Microsoft OneNote files.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+backtrace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+backtrace-devel %{_description}

This package contains library source intended for building other packages which
use the "backtrace" feature of the "%{crate}" crate.

%files       -n %{name}+backtrace-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
rm -r src/bin
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed May 29 2024 Orion Poplawski <orion@nwra.com> - 0.3.1-1
- Uncommitted changes
## END: Generated by rpmautospec
